adinstbpm - Task #17999

Milestone # 17719 (New): Booster operational test of one crate alongside existing BPM system
Milestone # 17998 (New): Improvements to bpmcli

Refactor to use getopt

10/20/2017 02:16 PM - John Diamond

Status: Resolved Start date: 10/20/2017
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Spent time: 8.00 hours
Description

Arguments to bpmcli commands should be parsed via getopt.

History

#1 - 10/23/2017 12:15 PM - John Diamond
- % Done changed from 0 to 50

Created an abstract base class for CLI commands: CLICommand. The base class handles command-line option parsing and requires ::helpShow()
and :run() methods be defined by the derived classes.

Made some effort towards implementing 'bpmcli dump' in this new framework.

#2 - 10/26/2017 04:22 PM - John Diamond
- Status changed from Work in progress to Resolved

- % Done changed from 50 to 100

Was successful in integrating getopt into CLICommand and CLIDumpCommand. All of the CLI commands should use this framework going forward.
